// RuntimeForStatic base library | C+- (SysRoutine) | Author: Sergei Y.Kitáev
//==================================================================================================
bool _NeedsFree_;
PWSTR _TextPointer_;
int _Length_;
$MemFreeRoutine _SpecialFreeRoutine_;
//==================================================================================================
void TakeOwnership($DynText& predecessor) $owner_transfer;
PCWSTR DoAssign($A,PCWSTR text) $duplicate $fatal_error_on_failure;
PCWSTR DoAssignNS($A,PCWSTR text) $duplicate $null_on_failure $last_error;
PCWSTR DoSetPointer($OA,PWSTR textPointer,bool needsFree);
PCWSTR DoSetPointer($A,PWSTR textPointer,$MemFreeRoutine specialFreeRoutine $optional);
void DoReset();
//==================================================================================================
